<h2 class="headingtitle">Firebase</h2>

<form #postForm="ngForm" (ngSubmit)="onCreatePost(postForm.value)">
  <div class="formcontainer">
    <label><b>Title</b></label>
    <input type="text" class="titleinput" name="title" ngModel required />
    <label><b>Content</b></label>
    <textarea
      id="content"
      class="contenttextarea"
      name="content"
      ngModel
      required
    ></textarea>
    <button type="submit" class="postbutton">Send Post</button>
  </div>
  <div>
    <div>
      
    </div>
  </div>
</form>
<button class="fetchbutton" (click)="onShow()">Fetch Posts</button> 
<button class="clearbutton"  (click)="onDelete()" >Clear Posts</button>
<p>{{todo|json}}</p>
